D-BUS is a simple IPC library based on messages.

See http://www.freedesktop.org/software/dbus/ for lots of documentation, 
mailing lists, etc.

Note
===

A core concept of the D-BUS implementation is that "libdbus" is
intended to be a low-level API, similar to Xlib. Most programmers are
intended to use the bindings to GLib, Qt, Python, Mono, Java, or
whatever. These bindings have varying levels of completeness.

Configuration flags
===

These are the dbus-specific configuration flags that can be given to
the ./configure program.

  --enable-tests          enable unit test code
  --enable-ansi           enable -ansi -pedantic gcc flags
  --enable-verbose-mode   support verbose debug mode
  --enable-asserts        include assertion checks
  --enable-checks         include sanity checks on public API
  --enable-xml-docs       build XML documentation (requires xmlto)
  --enable-doxygen-docs   build DOXYGEN documentation (requires Doxygen)
  --enable-gcov           compile with coverage profiling instrumentation (gcc only)
  --with-xml=libxml/expat           XML library to use
  --with-gnu-ld                     assume the C compiler uses GNU ld [default=no]
  --with-tags[=TAGS]                include additional configurations [automatic]
